<?php namespace App\Utils;


class ResponseException extends \Exception
{
    private $data;

    public function __construct(array $data, string $message = '', int $code = 0)
    {
        $this->data = $data;
        parent::__construct($message, $code);
    }

    public function getData() : array
    {
        return $this->data;
    }
}